Download it now!
Bug 125551 - PPTX: FILESAVE: Smartart diagram changes position after RT
Summary: PPTX: FILESAVE: Smartart diagram changes position after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Grzegorz Araminowicz
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks: OOXML-SmartArt
  Show dependency treegraph
 
Reported: 2019-05-28 11:25 UTC by Xisco Faulí
Modified: 2020-08-19 22:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (128.29 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-05-28 11:25 UTC, Xisco Faulí
Details
Before and after (102.53 KB, image/png)
2019-05-28 11:25 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-28 11:25:18 UTC
Created attachment 151738 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Save it as PPTX
3. Open the new document

-> Diagram is partly displayed. see screenshot

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 69b62cfcbd364d7f62142149c2f690104b217ca1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-05-28 11:25:37 UTC
Created attachment 151739 [details]
Before and after
Comment 2 Xisco Faulí 2019-05-28 11:27:05 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=aafaf1f55fa413ad49d4556cf7c0a713dd206ae4

author	Grzegorz Araminowicz <grzegorz.araminowicz@collabora.com>	2019-03-13 10:49:30 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-04-08 10:07:35 +0200
commit	aafaf1f55fa413ad49d4556cf7c0a713dd206ae4 (patch)
tree	1cfe3368ee1aeec9fb45e081c89c7d59ecc1432f
parent	31ac398cfa30694b18240d31df17a58d699b5bf6 (diff)
PPTX export: save SmartArt as diagram instead of group of shapes

Bisected with: bibisect-linux64-6.3

Adding Cc: to Grzegorz Araminowicz
Comment 3 Commit Notification 2019-06-07 21:13:45 UTC
Grzegorz Araminowicz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8aae7e4bc8dee27bc9dce3f1478777beeeb76e2f%5E%21

tdf#125551 PPTX export: correct position and size of diagrams

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-06-08 09:23:57 UTC
Grzegorz Araminowicz committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3644c9ab6f15a5d539681e84a1d29aa30af561d5%5E%21

tdf#125551 PPTX export: correct position and size of diagrams

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-06-10 09:10:05 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: ec905d131374f0860bac77c52873eed984b1966f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Grzegorz Araminowicz, thanks for fixing this issue!! Should this issue be closed as RESOLVED FIXED ?
Comment 6 Grzegorz Araminowicz 2019-06-10 09:16:12 UTC
Yes :)